//  RW Dollhouse
// ==============
// Docking, Charging-System, Storage and General Outboard Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/dollhouse/dollhouse.hpp
// -Declarations of the baseline RW Dollhouse library

#pragma once

#include "incls_all.hpp"

namespace rw::dollhouse {

//------------------------------------------------------------------------------
class Dollhouse_b : public RW {
 public:
  Dollhouse_b();                                    // default ctor
  explicit Dollhouse_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Dollhouse : public Dollhouse_b {
 public:
  Dollhouse();                                    // default ctor
  explicit Dollhouse(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::dollhouse

//    --=^=--

// "______"

// rw_dollhouse_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
