//  RW Animeyes
// ==============
// Vision & Object Detection Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/animeyes/animeyes.cpp
// -Definitions of the baseline RW Animeyes library

#include "incls_all.hpp"

namespace rw::animeyes {

//------------------------------------------------------------------------------
Animeyes_b::Animeyes_b() : Animeyes_b{"animeyes_b_obj"} {}

//------------------------------------------------------------------------------
Animeyes_b::Animeyes_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Animeyes::Animeyes() : Animeyes{"animeyes_obj"} {}

//------------------------------------------------------------------------------
Animeyes::Animeyes(std::string const& handle) : Animeyes_b{handle} {}

}  // namespace rw::animeyes

//    --=^=--

// "______"

// rw_animeyes_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
