//  RW Terminal
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/graphicom/terminal.hpp
// -Declarations of the baseline RW Terminal sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::graphicom {

//------------------------------------------------------------------------------
class Terminal_b : public RW {
 public:
  Terminal_b();                                    // default ctor
  explicit Terminal_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Terminal : public Terminal_b {
 public:
  Terminal();                                    // default ctor
  explicit Terminal(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::graphicom

//    --=^=--

// "______"

// rw_graphicom_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
