//    RW Face
// ==============
// Robowaifu Facial Control & Expressions Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/shell/face/face.hpp
// -Declarations of the baseline RW Face sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::shell::face {

//------------------------------------------------------------------------------
class Face_b : public RW {
 public:
  Face_b();                                    // default ctor
  explicit Face_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Face : public Face_b {
 public:
  Face();                                    // default ctor
  explicit Face(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::shell::face

//    --=^=--

// "Oh yeah, she's really cute. You're such a lucky guy to find her for free!"

// rw_shell_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
