//   RW Catalog
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/catalog.cpp
// -Definitions of the baseline RW Catalog sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Catalog_b::Catalog_b() : Catalog_b{"catalog_b_obj"} {}

//------------------------------------------------------------------------------
Catalog_b::Catalog_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Catalog::Catalog() : Catalog{"catalog_obj"} {}

//------------------------------------------------------------------------------
Catalog::Catalog(std::string const& handle) : Catalog_b{handle} {}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
