//   RW Post
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/bumpmaster/post.cpp
// -Definitions of the baseline RW Post sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
Post_b::Post_b() : Post_b{"post_b_obj"} {}

//------------------------------------------------------------------------------
Post_b::Post_b(std::string const& handle) : RW{handle} {}

//------------------------------------------------------------------------------
Post::Post() : Post{"post_obj"} {}

//------------------------------------------------------------------------------
Post::Post(std::string const& handle) : Post_b{handle} {}

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v211127
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
